## org.jvnet.maven.plugin.antrun
Class ArtifactElement

    java.lang.Object
      org.jvnet.maven.plugin.antrun.ArtifactElement

    public class ArtifactElement

extends java.lang.Object

Represents <artifact> element in build.xml

This Java bean is a part of the XML configuration binding via Ant.

Author:
  Kohsuke Kawaguchi

Constructor Summary
`ArtifactElement()`

Method Summary
`org.apache.maven.artifact.Artifact` `createArtifact()` Creates an `Artifact` from the configured information, by possibly guessing parameters that were missing.
`java.lang.String` `getArtifactId()`
`java.lang.String` `getClassifier()`
`java.lang.String` `getGroupId()`
`java.lang.String` `getId()` Retrurns the ID of this artifact after guessing omitted parameters.
`java.lang.String` `getType()`
`java.lang.String` `getVersion()`
`void` `setArtifactId(java.lang.String artifactId)`
`void` `setClassifier(java.lang.String classifier)`
`void` `setGroupId(java.lang.String groupId)`
`void` `setType(java.lang.String type)`
`void` `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArtifactElement

    public ArtifactElement()

Method Detail

### getGroupId

    public java.lang.String getGroupId()

### setGroupId

    public void setGroupId(java.lang.String groupId)

### getArtifactId

    public java.lang.String getArtifactId()

### setArtifactId

    public void setArtifactId(java.lang.String artifactId)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getClassifier

    public java.lang.String getClassifier()

### setClassifier

    public void setClassifier(java.lang.String classifier)

### createArtifact

    public org.apache.maven.artifact.Artifact createArtifact()
                                                      throws java.io.IOException

  Creates an `Artifact` from the configured information, by possibly guessing parameters that were missing.

  Throws:
    `java.io.IOException`

### getId

    public java.lang.String getId()
                           throws java.io.IOException

  Retrurns the ID of this artifact after guessing omitted parameters. The returned string follows the `Artifact.getId()` format.

  Throws:
    `java.io.IOException`

Copyright © 2011. All Rights Reserved.